﻿using System.Collections;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.DataSource = CreateData();
        }

        public IEnumerable CreateData()
        {
            List<Customer> list = new List<Customer>();
            Customer a = new Customer() { ID = 1, Name = "Alfreds Futterkiste" };
            list.Add(a);
            Customer b = new Customer() { ID = 2, Name = "Frédérique Citeaux" };
            list.Add(b);
            return list;
        }
    }

    public class Customer
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
